Subject: Re: Consensus call for Late-stage documents, April 2020 edition

From: Eric Rescorla <[email-masked]>
Date: Fri, 8 May 2020 15:35:44 -0700

I've made what may be editorial comments on some of these that I'd like to
see resolved.

I think #3439 needs more work. I spent a while going through it and I'm not
yet sure I understand what it says (see the email I just sent) and so am
unable to say if i addresses the issue it is intended to.

-Ekr

On Wed, Apr 29, 2020 at 7:08 AM Lucas Pardue <[email-masked]>
wrote:

> The following issues have proposals for resolution, and discussion so far
> seems
> to support consensus to accept them. If you object, please do so on the
> issue or
> in response to this message (changing the Subject appropriately!). Absent
> any
> pushback, we'll direct the editors to incorporate them in two weeks' time.
>
> See <https://github.com/quicwg/base-drafts/projects/5> for the current
> state of
> issues in the Late Stage process, itself defined at
> <https://github.com/quicwg/base-drafts/blob/master/CONTRIBUTING.md>.
>
> * #3594: Prohibit TLS middlebox compatibility mode
>   The proposal is https://github.com/quicwg/base-drafts/pull/3595
>
> * #3571: SHOULD implement adaptive packet threshold loss detection
>   The proposal is make no design change but add the editorial change
> https://github.com/quicwg/base-drafts/pull/3572
>
> * #3560: Equivalence of preferred_address and NEW_CONNECTION_ID
>   The proposal is https://github.com/quicwg/base-drafts/pull/3565
>
> * #3559: Linkability with preferred_address usage
>   The proposal is https://github.com/quicwg/base-drafts/pull/3563
>
> * #3509: Required state for retaining unacked RETIRE_CONNECTION_ID frames
> is unbound
>   The proposal is https://github.com/quicwg/base-drafts/pull/3547
>
> * #3439: Authenticating connection IDs
>   The proposal is https://github.com/quicwg/base-drafts/pull/3499
>
> * #3427: active_connection_id_limit description is unclear about whose
> connection ID might be zero length
>   The proposal is https://github.com/quicwg/base-drafts/pull/3426
>
> * #3353: Description of the use of Preferred Address is unclear
>   The proposal is make no design change but add the editorial change
> https://github.com/quicwg/base-drafts/pull/3589
>
> * #3265: Add capability for sending HTTP metadata (trailer fields) in
> mid-stream
>   The proposal is to mark this as v2 for now. We can unmark if the HTTP
> progresses faster than us, and we decide to incorporate it in some way.
>
> * #3198: HTTP/3 is lacking priorities
>   The proposal is to mark this as v2 for now. We can unmark if the HTTP
> progresses faster than us, and we decide to incorporate it in some way.
>
> Regar ds
> Lars, Lucas and Mark
> QUIC Chairs
>

---

From: Lucas Pardue <[email-masked]>
Date: Wed, 13 May 2020 14:28:15 +0100

Hearing no pushback, consensus is declared.

A couple of proposals received editorial feedback (EKRs comments about
#3439, for example). The activity and approvals indicates the feedback has
been addressed. If there are outstanding editorial fixes they will be
resolved in the course of getting the proposal merged into the documents.

Regards
Lars, Lucas and Mark
QUIC Chairs

---

From: Eric Rescorla <[email-masked]>
Date: Wed, 13 May 2020 08:06:38 -0700

Hi Lucas,

I'm sorry to be difficult, but I'm not sure that we do in fact have
consensus on 3499, because there were changes in discussion and it just got
to the point where it was clear quite recently.

I'll give this a read over the next day or so, but I'd ask to hold off on
merging until I have been able to,

-Ekr

---

From: Lucas Pardue <[email-masked]>
Date: Wed, 13 May 2020 16:58:23 +0100

Hi Ekr,

> merging until I have been able to,
Apologies, this was a mistake on my part.

Editors: can you please hold off merging PR #3499 which resolves issue
#3439?

Subject to Ekr's review I'd like to understand if there is substantial
feedback that requires another round of process, or if we can make progress
via editorial improvements.

Regards
Lucas

---

From: Lucas Pardue <[email-masked]>
Date: Mon, 18 May 2020 14:54:42 +0100

Closing the loop on this, the proposal was accepted and has now been
incorporated into the editor's draft

Thank you all for your patience.

Cheers
Lucas